#include "debug.hpp"
#include "connection.hpp"

/**
 * @file handle.hpp This file contains the helper class for handling knx access.
 */

namespace knx {

    
class handle_private;

/**
 * @brief Thread management for connection handling.
 *
 * This class handles all required background threads for asynchronous knx connection handling.
 */
class KNX_IMPORT_EXPORT handle
{
public:
    //! @brief Creates new background thread.
    handle(connection& connection);
    //! @brief Stops and joins the thread.
    ~handle();
private:
    handle_private * impl;
    //! @brief Prevent copy.
    handle(const handle&);
    //! @brief Prevent assignment.
    handle& operator=(const handle&);
};

}
