#include "knx.hpp"

int main ( int argc, char ** argv )
{
    // create configuration from command line parameters
    knx::config config ( argc, argv );

    // create the connection with the given config
    knx::connection connection ( config );

    // create handling threads for background processing
    knx::handle handle ( connection );

    // sleep some time to let all previous information settle
    knx::util::sleep ( 2 );

    // dpt 1.001
    knx::dpt_1::set_type dpt_1;
    connection.get<knx::dpt_1_001> ( knx::group("0/0/1"), dpt_1 );

    // wait a bit before exit
    knx::util::sleep ( 1 );

    return 0;
}
