#include "knx.hpp"

void my_callback ( knx::dpt_scaling::set_type & data )
{
    std::cout << "listened to " << data << std::endl;
}

int main ( int argc, char ** argv )
{
    // create configuration from command line parameters
    knx::config config ( argc, argv );

    // create the connection with the given config
    knx::connection connection ( config );

    // create handling threads for background processing
    knx::handle handle ( connection );

    // sleep some time to let all previous information settle
    knx::util::sleep ( 2 );

    // create required variables
    std::string group ( "0/0/5" );

    // start listener for dpt 5.001
    connection.listen<knx::dpt_scaling> ( group, my_callback );

    // wait some time for events on the given group address
    knx::util::sleep ( 20 );

    return 0;
}
